WordPress.org

Ready to get started?Download WordPress

Plugin Directory

PrayBox

PrayBox is being used to manage prayer requests on WordPress websites all over the world.

April 7, 2011 - 0.1

  • Plugin base.

April 18, 2011 - 0.2

  • fixed line breaks so that they work properly in the body of prayer requests.
  • added language filter (just in case)
  • when someone doesn't enter a title, the title is displayed as 'Untitled'

April 18, 2011 - 0.3

  • changed paths to plugin assets so that they play nice with BlueHost and other hosts that use '/wordpress' as the base for WP files in their installers

June 14, 2011 - 0.4

  • Change text "Report This" to "Report Abuse" to be more clear
  • Fixed bug where people not using the extension "wp_" in their DB were not able to post, and were banned from posting

July 13, 2011 - 1.0

  • Fixed daily "Prayed For" email notifications
  • Fixed issue with single requests occasionally being posted multiple times
  • Fixed issue where line spacing was translated to "rn"
  • Cleaned up a lot of code/functions to make PrayBox run more efficiently
  • Added the option for users to edit anonymity and notification preferences for their own prayer requests
  • Added the option for users to close their own prayer requests
  • Added actual URLs for requests, so users can link directly to requests

July 14, 2011 - 1.0.1

  • Fixed "View Details" and related links on request list for sites not using permalinks

August 3, 2011 - 1.0.2

  • Fixed problem with escape characters that was occasionally causing problems during activation.

November 17, 2011 - 1.0.3

  • Fixed intermittent problems with email scripts that were causing problems during installation.

December 23, 2011 - 1.0.4

  • Repaired minor miscellaneous data references.

February 21, 2012 - 1.0.5

  • Fixed problems regarding url structure for sites not using 'pretty' permalinks.
  • Fixed escaping quotation marks for data input on General Settings page.

August 9, 2012 - 1.0.6

  • Updated escaping to protect against MySQL injection attacks.

August 14, 2012 - 1.0.7

  • Updated url variable validation to protect against vulnerabilities.

January 21, 2013 - 1.0.8

  • Updated for better functionality in WP v3.5.

June 3, 2013 - 1.0.9

  • Updated graphic/interface assets.

Requires: 3.0 or higher
Compatible up to: 3.5.2
Last Updated: 2013-6-3
Downloads: 13,096

Ratings

4 stars
4.3 out of 5 stars

Support

0 of 1 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1 50,2,1
100,1,1
0,1,0
100,1,1
100,1,1